Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: John Wiegley <[email-masked]>
Date: Wed, 25 Nov 2015 10:59:35 -0800

>>>>> Maneesh Yadav <[email-masked]> writes:

> I patched glib2 this way (just overriding the macros (and removing
> semicolons on macro invocations...seemed to be the best way to deal
> with if statements that didn't wrap in curly braces...just realized my
> strings don't reflect "UN"LOCK/LOCK....not a big deal since line
> numbers are there...fixed for next time):

Nice, this is much closer. I just need you to add a %p formatting string, and
then print the value of the "context":

 #define LOCK_CONTEXT(context) {printf("MANEESH GLIB DEBUG: About to LOCK %p:
 %s, %d, %\n", context, __FILE__, __LINE__, __FUNCTION__); g_mutex_lock
 (&context->mutex);}

John